<?php 
	
	/**
	 * Function for return the form config cache with the api drupal form
	 * @return unknown_type
	 */
	function cachestatic_config_form() {
		$form = array();
		$form = drupal_get_form('cachestatic_config');
		return $form;
	}	
	
	
	/**
	 * Function to return settings cache static form
	 * @param $form_sate
	 * @return array
	 */
	function cachestatic_config( $form_sate ) {
		global $listDelayOfExpiration;
		
		$form = array();
		$form['config_performance'] = array(
		        '#type'        => 'fieldset',
		        '#title'       => t( 'Config Cache Static Performance' ),
		        '#collapsible' => FALSE,
		        '#collapsed'   => FALSE,
		);
		$form['config_performance']['active_cache_static'] = array(
			'#type' => 'radios',
			'#title' => t( 'Do you want enable the cache static ?' ),
			'#default_value' => variable_get('active_cache_static', 0),
			'#options' => array( t('Disabled'), t('Enabled') ),
		);
		$form['config_performance']['active_cache_static_expire_auto'] = array(
			'#type' => 'radios',
			'#title' => t( 'Do you want enable the cache expiration automatic ?' ),
			'#default_value' => variable_get('active_cache_static_expire_auto', 0),
			'#options' => array( t('Disabled'), t('Enabled') ),
			'#description' => t('This function deletes automatically a contents of cache when this content is expired. Otherwise, you will have to make it manually.'),
		);
		$form['config_performance']['cache_expiration_default'] = array(
			'#type' => 'select',
			'#title' => t( 'Select the delay of expiration for the cache' ),
			'#default_value' => variable_get( 'cache_expiration_default', "+2 minutes" ),
			'#options' => createListDelayOfExpiration(),
			'#description' => t('The hiding place is generated as soon as the time is sold.'),		
		);		
		$form['config_performance_option'] = array(
		        '#type'        => 'fieldset',
		        '#title'       => t('Config the option for Cache Static'),
		        '#collapsible' => TRUE,
		        '#collapsed'   => TRUE,
		);
		$form['config_performance_option']['cache_expiration_tag'] = array(
			'#type' => 'textfield',
			'#title' => t( 'Enter the tag for the message "This page is generated by... Expire at ....' ),
			'#default_value' => variable_get('cache_expiration_tag', '<!-- This page is generated at %[dateGenerated]% by cachestatic and expire at %[dateExpired]% -->'),
			'#description' => t('<strong>The tag available is :</strong> <br/>%[dateGenerated]% for the date of generation for this file.<br/> %[dateExpired]% for the date of expiration for this file.<br./> '),		
		);
		$form['config_performance_option']['cache_folder'] = array(
			'#type' => 'textfield',
			'#title' => t( 'Enter the directory where will be generated the files of cache.' ),
			'#default_value' => variable_get('cache_folder', 'caches/'),
			'#description' => t('This folder must be writable ! '),		
		);		
		$form['config_performance_option']['cache_ext'] = array(
			'#type' => 'textfield',
			'#title' => t( 'Extension of the files of generated cache.' ),
			'#default_value' => variable_get('cache_ext', '.html'),
			'#description' => t( 'Please report this to your htaccess or apache configuration' ),		
		);		
		$form['config_performance_option']['delete_cache_on_update'] = array(
			'#type' => 'radios',
			'#title' => t( 'Do you want delete cache for the content when update ?' ),
			'#default_value' => variable_get('delete_cache_on_update', 0),
			'#options' => array( t('Disabled'), t('Enabled') ),
		);		
		$form['config_performance_option']['activeToobarCacheControl'] = array(
			'#type' => 'radios',
			'#title' => t( 'Do you want enable the Toolbar Cache Control on the front site ?' ),
			'#default_value' => variable_get('activeToobarCacheControl', 0),
			'#options' => array( t('Disabled'), t('Enabled') ),
			'#description' => t('<strong>The toolbar Cache Control :</strong> is enabled only if you are connected whith the permission admin of cacheStatic..<br./> '),
		);		
		$form['config_performance_rules'] = array(
		        '#type'        => 'fieldset',
		        '#title'       => t('Config the rules of Cache Static'),
		        '#collapsible' => TRUE,
		        '#collapsed'   => TRUE,
		);		
		$form['config_performance_rules']['cache_expiration_directory_disable'] = array(
			'#type' => 'textarea',
			'#title' => t( 'Enter the list of the urls which you do not wish to put in cache.' ),
			'#default_value' => variable_get('cache_expiration_directory_disable', 'sites/'),
			'#description' => t('Example : sites/'),		
		);
		$form['config_performance_rules']['cache_expiration_domain_disable'] = array(
			'#type' => 'textarea',
			'#title' => t( 'Enter the list of the domain which you do not wish to put in cache.' ),
			'#default_value' => variable_get('cache_expiration_domain_disable', null ),
			'#description' => t('Example : www.domain.tld'),		
		);
		$form['config_performance_rules']['cache_expiration_get_parameters'] = array(
			'#type' => 'radios',
			'#title' => t( 'Do you want enable the cache for url containt a parametters GET  ?' ),
			'#default_value' => variable_get('cache_expiration_get_parameters', 0),
			'#options' => array( t('Disabled'), t('Enabled') ),
			'#description' => t('By default, the cache is not enabled for url containt ?var=string. If you want enable the cache for url containt get parameters, you must enable this option.'),
		);		
		
		return system_settings_form( $form );
	}
	
	/**
	 * Function to create the list of possible expiration datetime
	 * @return array
	 */
	function createListDelayOfExpiration() {
		$listMinute	= array();
		$listHour 	= array();
		$listDay 	= array();
		$listMonth 	= array();
		$listYear 	= array();
		for( $i = 1; $i<61; $i++) {
			$listMinute["+".$i." minutes"] = "+".$i." minutes";
		}
		for( $i = 1; $i<6; $i++) {
			$listDay["+".$i." days"] = "+".$i." days";
		}
		for( $i = 1; $i<14; $i++) {
			$listMonth["+".$i." month"] = "+".$i." month";
		}
		for( $i = 1; $i<2; $i++) {
			$listYear["+".$i." years"] = "+".$i." years";
		}
		
		$list = array_merge( $listMinute, $listHour, $listDay, $listMonth, $listYear );
		return $list;
	}
	
	/**
	 * Function to view the list page in current cache
	 * @return unknown_type
	 */
	function cachestatic_listUrlInCache() {
		if( $_POST['search'] != '' ) {
			$keywords = $_POST['search'];
			$result = pager_query(db_rewrite_sql( "SELECT * FROM {cachestatic} c  WHERE url REGEXP ('$keywords') ORDER BY c.expire ASC" ), 50, 0, NULL, NULL);
		} else {
			$result = pager_query(db_rewrite_sql( 'SELECT * FROM {cachestatic} c  ORDER BY c.expire ASC' ), 50, 0, NULL, NULL );
		}
		
		$count = db_result(db_query("SELECT COUNT(*) FROM {cachestatic} c"));
		$form['options'] = array(
			'#type' => 'fieldset',
			'#title' => t('Update options'),
			'#prefix' => '<div class="container-inline">',
			'#suffix' => '</div>',
		);
		$form['search'] = array(
			'#type' => 'fieldset',
			'#title' => t('You can search a url in the cache'),
			'#prefix' => '<div class="container-inline">',
			'#suffix' => '</div>',
		);
		$options = array();
		
		$options['delete'] = t('Delete the cache for selected url !');
		$options['forceCacheToExpireNow'] = t('Force cache to expire now !');
		$form['options']['operation'] = array(
			'#type' => 'select',
			'#options' => $options,
			'#default_value' => 'approve',
		);
		$form['options']['submit'] = array(
			'#type' => 'submit',
			'#value' => t('Update'),
			'#submit' => array('cachestatic_content_delete'),
		);
		$form['search']['operation'] = array(
			'#type' => 'textfield',
			'#name' => 'search',
			'#default_value' => $_POST['search'],
		);
		$form['search']['submit'] = array(
			'#type' => 'submit',
			'#value' => t('Update'),
			'#submit' => array('cachestatic_content_search'),
		);
		
		$destination = drupal_get_destination();
		$caches = array();
		$folderCache = constant( 'CACHESTATIC_FOLDER' );
		while ( $cache = db_fetch_object( $result ) ) {
			if( file_exists( $folderCache.$cache->url )) {
				$caches[$cache->cid] = '';
				$form['cid'][$cache->cid] = array( '#value' => $cache->cid );
				$form['url'][$cache->cid] = array( '#value' => l( $cache->url, $cache->url ) );
				$form['created'][$cache->cid] = array( '#value' => date( 'd-m-Y H:i:s', $cache->created ) );
				$form['expire'][$cache->cid] =  array( '#value' => date( 'd-m-Y H:i:s', $cache->expire ) );
				$form['lastcheck'][$cache->cid] =  array( '#value' => date( 'd-m-Y H:i:s', $cache->lastcheck ) );
				$form['operations'][$cache->cid] = array( '#value' => l( t( 'View cached content' ), $folderCache.$cache->url ) );
			}
		}
		$form['caches'] = array( '#type' => 'checkboxes', '#options' => $caches );
		$form['pager'] = array( '#value' => theme( 'pager', NULL, 50, 0 ) );
		$form['#theme'] = 'cachestatic_content';
		return $form;
	}
	
	
	/**
	 * Function to return the list of the result page in cache
	 * @param $form
	 * @return unknown_type
	 */
	function theme_cachestatic_content( $form ) {
		$has_posts = isset( $form['cid'] ) && is_array( $form['cid'] );
		$header = array( t( 'Options' ), t( '#' ), t( 'Url' ), t( 'Created' ), t( 'Expire' ), t( 'LastCheck' ), t( 'Operation' ) );
		$output = '';
		$output .= drupal_render( $form['search'] );
		$output .= drupal_render( $form['options'] );
		if ( $has_posts ) {
			foreach ( element_children( $form['cid'] ) as $key) {
				$row = array();
				$row[] = drupal_render( $form['caches'][$key] );
				$row[] = drupal_render( $form['cid'][$key] );
				$row[] = drupal_render( $form['url'][$key] );
				$row[] = drupal_render( $form['created'][$key] );
				$row[] = drupal_render( $form['expire'][$key] );
				$row[] = drupal_render( $form['lastcheck'][$key] );
				$row[] = drupal_render( $form['operations'][$key] );
				$rows[] = $row;
			}
		} else {
			$rows[] = array( array( 'data' => t( 'No caches are available.' ), 'colspan' => '7' ) );
		}
		$output .= theme( 'table', $header, $rows );
		if ( $form['pager']['#value'] ) {
			$output .= drupal_render( $form['pager'] );
		}
		$output .= drupal_render( $form );
		return $output;
	}	
	
	
	/**
	 * Return the content
	 * @param $form_value
	 * @return unknown_type
	 */
	function cachestatic_content( $form_value ) {
		if (isset($form_value['values']['operation']) && ( $form_value['values']['operation'] == 'delete' OR $form_value['values']['operation'] == 'forceCacheToExpireNow' ) && count(array_filter($form_value['values']['caches'])) != 0 ) {
			return cachestatic_content_operation_confirm( $form_value, array_filter($form_value['values']['caches']), $form_value['values']['operation'] ) ;
		}
		$form_state['rebuild'] = TRUE;
		$form  = cachestatic_listUrlInCache();
		return $form;		
	}

	
	/**
	 * Return the content
	 * @param $form_value
	 * @return unknown_type
	 */
	function cachestatic_content_delete( &$form, &$form_state) {
		if (isset($form_state['values']['operation']) && $form_state['values']['operation'] == 'delete' OR $form_state['values']['operation'] == 'forceCacheToExpireNow' ) {
		    $form_state['rebuild'] = TRUE;
		}		
	}	

	/**
	 * Return the content
	 * @param $form_value
	 * @return unknown_type
	 */
	function cachestatic_content_search( &$form, &$form_state) {
		if (isset($form_state['values']['operation']) && $form_state['values']['operation'] == 'delete' OR $form_state['values']['operation'] == 'forceCacheToExpireNow' ) {
		    $form_state['rebuild'] = TRUE;
		}		
	}	
	
	/**
	 * Function to add a confirmation for delete the page on the cache
	 * @param $form_state
	 * @param $cacheId
	 * @param $operation
	 * @return 
	 */
	function cachestatic_content_operation_confirm( &$form_state, $cacheId, $operation) {
		$form['caches'] = array('#prefix' => '<ul>', '#suffix' => '</ul>', '#tree' => TRUE);
		foreach ($cacheId as $cid => $url) {
			$url = db_result(db_query('SELECT url FROM {cachestatic} WHERE cid = %d', $cid));
			$form['caches'][$cid] = array(
				'#type' => 'hidden',
				'#value' => $url,
				'#prefix' => '<li>',
				'#suffix' => check_plain($url) . "</li>\n",
			);
		}

		if( $operation == 'delete') {
			$form['#submit'][] = 'cachestatic_content_delete_confirm_submit';
			return confirm_form($form,
								t('Are you sure you want to delete this selected cache url ?'),
								'admin/content/cachestatic', t('This action cannot be undone.'),
								t('Delete all the cache'), t('Cancel'));		
		} elseif( $operation == 'forceCacheToExpireNow') {
			$form['#submit'][] = 'cachestatic_content_update_confirm_submit';
			return confirm_form($form,
								t('Are you sure you want set expire now for this selected cache url ?'),
								'admin/content/cachestatic', t('This action cannot be undone.'),
								t('Yes, set expire Now'), t('Cancel'));					
		} else {
			drupal_goto('admin/content/cachestatic');
		}
		drupal_goto('admin/content/cachestatic');
	}
	
	
	/**
	 * Function to add a confirmation for delete the page on the cache [SUBMIT]
	 * @param $form
	 * @param $form_state
	 * @return unknown_type
	 */
	function cachestatic_content_delete_confirm_submit($form, &$form_state) {
		if ($form_state['values']['confirm']) {
			foreach ($form_state['values']['caches'] as $cid => $value) {
				cachestatic_removeCacheForThisPage( $value );
			}
			drupal_set_message(t('The content selected cache has been deleted !.'));
		}
		$form_state['redirect'] = 'admin/content/cachestatic';
		return;
	}	
	
	
	/**
	 * Function to add a confirmation for update the page on the cache [SUBMIT]
	 * @param $form
	 * @param $form_state
	 * @return unknown_type
	 */	
	function cachestatic_content_update_confirm_submit($form, &$form_state) {
		if ($form_state['values']['confirm']) {
			foreach ($form_state['values']['caches'] as $cid => $value) {
				cachestatic_db_setCacheExpireNow( $value );
			}
			drupal_set_message(t('The content selected cache has been deleted !.'));
		}
		$form_state['redirect'] = 'admin/content/cachestatic';
		return;
	}	
	
	
	/**
	 * Function to add a form for time expiration alter 
	 * @param $form
	 * @param $form_state
	 * @return unknown_type
	 */	
	function cachestatic_content_add_alter() {

		// Load from the vcache variable if from the toolbar !
		$vcacheAlter = $_GET['url'];
		
		$form['options'] = array(
			'#type' => 'fieldset',
			'#title' => t('Create a new time expire alter'),
		);
		
		if( arg(4) && is_numeric( arg( 4 ) ) ) {
			$selectAlter = db_query( "SELECT * FROM {cachestatic_alter} WHERE rid = %d" , arg(4) ) ;
			$alterInfo 	= db_fetch_object( $selectAlter );
			$form['options']['rid'] = array(
				'#type' 		=> 'hidden',
				'#value' 		=> $alterInfo->rid,
				'#required' => TRUE,
			);			
		} else {
			if( $vcacheAlter != '' ) {
				$alterInfo = new stdClass();
				$alterInfo->url = $vcacheAlter;
			}
		}
		
		$form['options']['url'] = array(
			'#title' 				=> t('Enter a part of the url which will not take into account the value of expiration by default.'),
			'#type' 				=> 'textfield',
			'#name' 				=> 'url',
			'#default_value' => $alterInfo->url,
			'#description' 		=> t('Example : content/my-page-is-in-cache'),
			'#required' 			=> TRUE,
		);
		$form['options']['cache_expiration'] = array(
			'#type' => 'select',
			'#title' => t( 'Select the delay of expiration for the cache' ),
			'#default_value' => $alterInfo->time_alter,
			'#options' => createListDelayOfExpiration(),
			'#description' => t('The hiding place is generated as soon as the time is sold.'),
			'#required' => TRUE,		
		);		
		$form['options']['submit'] = array(
			'#type' => 'submit',
			'#value' => t('Validate'),
			//'#submit' => array('cachestatic_content_search'),
		);
		return $form;
	}

	/**
	 * Function to add a form for time expiration alter [SUBMIT] 
	 * @param $form
	 * @param $form_state
	 * @return unknown_type
	 */	
	function cachestatic_content_add_alter_submit( $form, &$form_state ) {
		
		$path = $form_state['values']['url'];
		$timealter = $form_state['values']['cache_expiration'];
		$query = db_query( "SELECT * FROM {cachestatic_alter} WHERE url = '%s' LIMIT 1", $path );
		$result = db_fetch_object( $query );
		$rid = $result->rid;
		if( $form_state['values']['rid'] != '' ) {
			$rid = $form_state['values']['rid'];
		}
		if( $rid ) {
			if( db_query( "UPDATE  {cachestatic_alter} SET time_alter = '%s', url='%s' WHERE rid=%d ", $timealter, $path, $rid) ) {
				drupal_set_message( t( "The url cache expiration has been updated !" ) );
			} else {
				drupal_set_message( t("Error, The url cache expiration can't update ! (Db errror)" ) );
			}
		} else {
			// Insert
			$created = time();;
			if( db_query( "INSERT INTO {cachestatic_alter} (url, created, time_alter) VALUES  ('%s', %d, '%s') ", $path, $created, $timealter) ) {
				drupal_set_message( t( "The url cache expiration has been created !" ) );
			} else {
				drupal_set_message( t("Error, The url cache expiration can't created ! (Db errror)" ) );
			}
		}
		
	}	
	
	
	/**
	 * Function for list the cache alter
	 * @param $form_value
	 * @return unknown_type
	 */	
	function cachestatic_content_list_alter( $form_value ) {
		if (isset($form_value['values']['operation']) && ( $form_value['values']['operation'] == 'delete' OR $form_value['values']['operation'] == 'forceCacheToExpireNow' ) && count(array_filter($form_value['values']['caches'])) != 0 ) {
			return cachestatic_content_operation_alter_confirm( $form_value, array_filter($form_value['values']['caches']), $form_value['values']['operation'] ) ;
		}
		$form_state['rebuild'] = TRUE;
		$form  = cachestatic_content_list_alter_url();
		return $form;		
	}	
	
	
	/**
	 * Function for list the cache alter url
	 * @param $form_value
	 * @return unknown_type
	 */	
	function cachestatic_content_list_alter_url() {
		
		if( $_POST['search'] != '' ) {
			$keywords = $_POST['search'];
			$result = pager_query( db_rewrite_sql( "SELECT * FROM {cachestatic_alter} c  WHERE url REGEXP ('$keywords')ORDER BY c.rid DESC" ), 50, 0, NULL, NULL );
		} else {
			$result = pager_query( db_rewrite_sql( 'SELECT * FROM {cachestatic_alter} c  ORDER BY c.rid DESC' ), 50, 0, NULL, NULL );
		}
		
		$count = db_result( db_query( "SELECT COUNT(*) FROM {cachestatic_alter} c" ) );
		$form['options'] = array(
			'#type' 	=> 'fieldset',
			'#title' 	=> t('Update options'),
			'#prefix' 	=> '<div class="container-inline">',
			'#suffix' 	=> '</div>',
		);
		$form['search'] = array(
			'#type' => 'fieldset',
			'#title' => t('You can search a url in the cache'),
			'#prefix' => '<div class="container-inline">',
			'#suffix' => '</div>',
		);
		
		$options = array();
		$options['delete'] = t('Delete the time cache alter !');
		
		$form['options']['operation'] = array(
			'#type' => 'select',
			'#options' => $options,
			'#default_value' => 'delete',
		);
		$form['options']['submit'] = array(
			'#type' => 'submit',
			'#value' => t('Update'),
			'#submit' => array('cachestatic_content_search_alter'),
		);
		$form['search']['operation'] = array(
			'#type' => 'textfield',
			'#name' => 'search',
			'#default_value' => $_POST['search'],
		);
		$form['search']['submit'] = array(
			'#type' => 'submit',
			'#value' => t('Update'),
			'#submit' => array('cachestatic_content_search'),
		);
		
		$destination = drupal_get_destination();
		$caches = array();
		$folderCache = constant( 'CACHESTATIC_FOLDER' );
		while ( $cache = db_fetch_object( $result ) ) {
			$caches[$cache->rid] = '';
			$form['rid'][$cache->rid] = array( '#value' => $cache->rid );
			$form['url'][$cache->rid] = array( '#value' => l( $cache->url, $cache->url ) );
			$form['created'][$cache->rid] = array( '#value' => date( 'd-m-Y H:i:s', $cache->created ) );
			$form['time_alter'][$cache->rid] =  array( '#value' =>  $cache->time_alter );
			$form['operations'][$cache->rid] = array( '#value' => l( t( 'Edit' ), 'admin/content/cachestatic/add/'.$cache->rid ) );
		}
		$form['caches'] = array( '#type' => 'checkboxes', '#options' => $caches );
		$form['pager'] = array( '#value' => theme( 'pager', NULL, 50, 0 ) );
		$form['#theme'] = 'cachestatic_content_list_alter_url';
		return $form;
	}
	
	/**
	 * Function for delete cache alter
	 * @param $form_value
	 * @return unknown_type
	 */	
	function cachestatic_content_alter_delete( &$form, &$form_state) {
		if (isset($form_state['values']['operation']) && $form_state['values']['operation'] == 'delete' OR $form_state['values']['operation'] == 'forceCacheToExpireNow' ) {
		    $form_state['rebuild'] = TRUE;
		}		
	}	
	
	
	/**
	 * Function for thme the list cache alter
	 * @param $form_value
	 * @return unknown_type
	 */	
	function theme_cachestatic_content_list_alter_url( $form ) {
		$has_posts = isset( $form['rid'] ) && is_array( $form['rid'] );
		$header = array( t( 'Options' ), t( '#' ), t( 'Url' ), t( 'Created' ), t( 'Time Alter' ), t( 'Operation' ) );
		$output = '';
		$output .= drupal_render( $form['search'] );
		$output .= drupal_render( $form['options'] );
		if ( $has_posts ) {
			foreach ( element_children( $form['rid'] ) as $key ) {
				$row = array();
				$row[] = drupal_render( $form['caches'][$key] );
				$row[] = drupal_render( $form['rid'][$key] );
				$row[] = drupal_render( $form['url'][$key] );
				$row[] = drupal_render( $form['created'][$key] );
				$row[] = drupal_render( $form['time_alter'][$key] );
				$row[] = drupal_render( $form['operations'][$key] );
				$rows[] = $row;
			}
		} else {
			$rows[] = array( array( 'data' => t( 'No caches alter are available.' ), 'colspan' => '6' ) );
		}
		$output .= theme( 'table', $header, $rows );
		if ( $form['pager']['#value'] ) {
			$output .= drupal_render( $form['pager'] );
		}
		$output .= drupal_render( $form );
		return $output;
	}		
	
	
	/**
	 * Function for add the confirm delete cache alter
	 * @param $form_value
	 * @return unknown_type
	 */	
	function cachestatic_content_operation_alter_confirm( &$form_state, $cacheAlterId, $operation) {
		$form['caches'] = array('#prefix' => '<ul>', '#suffix' => '</ul>', '#tree' => TRUE);
		foreach ($cacheAlterId as $rid => $ridValue) {
			$ridInformation = db_fetch_object( db_query( 'SELECT * FROM {cachestatic_alter} WHERE rid = %d', $ridValue ) );
			$form['caches'][$ridValue] = array(
				'#type' => 'hidden',
				'#value' => $ridValue,
				'#prefix' => '<li>',
				'#suffix' => check_plain($ridInformation->url) ." (" . check_plain($ridInformation->time_alter) .")</li>\n",
			);
		}
			$form['#submit'][] = 'cachestatic_content_delete_alter_confirm_submit';
			return confirm_form($form,
								t('Are you sure you want to delete this selected cache url ?'),
								'admin/content/cachestatic/alter/list', t('This action cannot be undone.'),
								t('Delete all the cache'), t('Cancel'));		
			drupal_goto('admin/content/cachestatic/alter/list');
	}
	
	/**
	 * Function for add the confirm delete cache alter [SUBMIT]
	 * @param $form_value
	 * @return unknown_type
	 */	
	function cachestatic_content_delete_alter_confirm_submit($form, &$form_state) {
		if ( $form_state['values']['confirm'] ) {
			foreach ($form_state['values']['caches'] as $rid => $value) {
				db_query( " DELETE FROM {cachestatic_alter} WHERE rid=%d" , $value );
			}
			drupal_set_message(t('The selected cache alter has been deleted !.'));
		}
		$form_state['redirect'] = 'admin/content/cachestatic/alter/list';
		return;
	}	